//
//  QNMianViewController.m
//  QNDoraDemo
//
//  Created by 孙慕 on 2022/3/29.
//

#import "QNMianViewController.h"
#import "TableViewController.h"
#import <Masonry.h>

@interface QNMianViewController ()

@property (nonatomic,strong) UILabel *bbLabel;

@property (nonatomic,strong) UITextField *face_id;
@property (nonatomic,strong) UITextField *real_Name;

@property (nonatomic,strong) UIButton *nextButton;


@end

@implementation QNMianViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.

    _bbLabel = [[UILabel alloc] init];
    _bbLabel.text = @"体验身份比对输入信息，体验活检直接下一步";
    _bbLabel.font = [UIFont systemFontOfSize:14];
    [self.view addSubview:_bbLabel];
    
    //添加手机号码输入框
    _face_id=[[UITextField alloc]init];
    _face_id.borderStyle=UITextBorderStyleRoundedRect;//设置文本框的边框样式
    _face_id.placeholder = @"请输入检测身份证号码";
    [self.view addSubview:_face_id];
    
    //添加密码输入框
    _real_Name=[[UITextField alloc]init];
    _real_Name.borderStyle=UITextBorderStyleRoundedRect;
    _real_Name.placeholder = @"请输入身份证名字";
    [self.view addSubview:_real_Name];
    
    //添加登录按钮
    _nextButton=[[UIButton alloc]init];
    [_nextButton setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];//设置标题内容颜色
    [_nextButton setTitle:@"下一步" forState:UIControlStateNormal];//设置按钮标题
    [_nextButton addTarget:self action:@selector(next:) forControlEvents:UIControlEventTouchUpInside];//添加点击事件
    [self.view addSubview:_nextButton];
    
    
    [self.bbLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.mas_equalTo(@(300));
        make.height.mas_equalTo(@(30));
        make.top.equalTo(self.view).mas_offset(@100);
        make.centerX.equalTo(self.view);
    }];
    
    
    [self.face_id mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.mas_equalTo(@(280));
        make.height.mas_equalTo(@(30));
        make.top.equalTo(self.view).mas_offset(@160);
        make.centerX.equalTo(self.view);
    }];
    
    [self.real_Name mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.mas_equalTo(@(280));
        make.height.mas_equalTo(@(30));
        make.top.equalTo(self.view).mas_offset(@220);
        make.centerX.equalTo(self.view);
    }];
    
    [self.nextButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.mas_equalTo(@(280));
        make.height.mas_equalTo(@(25));
        make.top.equalTo(self.view).mas_offset(@280);
        make.centerX.equalTo(self.view);
    }];
    
    
    
}


-(void)next:(UIButton *)btn{
    TableViewController *vc = [[TableViewController alloc] initWithStyle:(UITableViewStylePlain)];
    vc.face_id = _face_id.text;
    vc.real_Name = _real_Name.text;
    
    [self.navigationController pushViewController:vc animated:YES];
}


/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
